Subject: View remote logs?

From: "Todd A. Jacobs" <[email-masked]>
Date: Tue, 14 Oct 2008 00:19:07 -0700

I've Googled around, and tried some experiments with likely-looking
tools like git log, git diff, and git ls-remote, but they only seem to
operate on the local repository. In particular, there doesn't seem to be
an obvious way to view the commit logs on a remote repository without
pulling it first.

On an intuitive level, it seems like "git log origin" would allow me to
see what someone has committed to a remote repository so I can decide
whether it's something I want to pull. Even something like "git diff
HEAD origin" would let me know if there were changes I might want to
pull before doing so.

Am I missing something obvious? Is it possible to use the CLI to view
remote logs, or is the only choice to pull everything?

-- 
"Oh, look: rocks!"
	-- Doctor Who, "Destiny of the Daleks"